[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpS_ISREG

Is file a regular file

## Declaration

Source position: bunxovlh.inc line 86

`function fpS_ISREG(`
`m: TMode`
`):Boolean;`

## Description

FpS_ISREG checks the file mode m to see whether the file is a regular file. If so it returns True

## See also

FpFStat |  | Retrieve file information about a file descriptor.
FpS_ISFIFO |  | Is file a FIFO
FpS_ISLNK |  | Is file a symbolic link
FpS_ISCHR |  | Is file a character device
FpS_ISBLK |  | Is file a block device
FpS_ISDIR |  | Is file a directory
FPS_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014